package org.jerrymouse.gaes.mavenPlugin.env;

import static org.junit.Assert.*;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jerrymouse.gaes.mavenPlugin.install.Environment;
import org.jerrymouse.gaes.mavenPlugin.mojos.gae.InstallGaeMojo;
import org.junit.Before;
import org.junit.Test;

public class EnvironmentTest {
	Environment environment;

	Log log = LogFactory.getLog(getClass());

	@Before
	public void setUp() throws Exception {
		environment = Environment.newInstance();
	}

	@Test
	public void testGetInstance() throws Exception {
		// LinuxEnvironment environment=(LinuxEnvironment)
		// Environment.newInstance();
	}

	@Test
	public void testGetEnv() throws Exception {
		log.trace(environment.getEnv("appengine_home"));
	}

	@Test
	public void testSetEnv() throws Exception {
		log.trace(environment.setEnv("appengine_home",
				"/home/yankai/.gaes/appengine-java-sdk-1.2.2"));

	}
}
